Bug 54493 - rpm crashes with core dump
Summary: rpm crashes with core dump
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-10 06:18 UTC by Dave Annetts
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 16:25:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Files comprising DB in /var/lib/rpm (6.15 MB, application/octet-stream)
2001-10-11 04:14 UTC, Dave Annetts
no flags Details

Description Dave Annetts 2001-10-10 06:18:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Any operation I try using rpm crashes the program.  This ranges from 
simple verification to rebuilding the db

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. at least on my system, rpm -V will do it
2.
3.
	

Additional info:

Comment 1 Dave Annetts 2001-10-11 04:15:03 UTC
Created attachment 33821 [details]
Files comprising DB in /var/lib/rpm

Comment 2 Need Real Name 2001-10-11 15:59:48 UTC
rpm crashes with 'segmentation fault':

rpm -e <package_name>

but can run sometimes.

I ran it under 'gdb' and got a backtrace, etc. If you need it I'll send it.


Comment 3 Jeff Johnson 2001-10-23 16:25:42 UTC
Can you attach a pointer to your database? rpm databases are
too large for bugzilla attachments.

Comment 4 Jeff Johnson 2002-06-21 19:51:44 UTC
Closed for lack of input.


Note You need to log in before you can comment on or make changes to this bug.